Page MenuHomePhabricator

Upgrade cloud-vps control plane to Debian Buster
Closed, ResolvedPublic

Description

We have Rocky packages available for Buster, and (in most cases) decent HA setups. So we should be able to rebuild these hosts without causing a lot of downtime.

  • cloudcontrol2001-dev
  • cloudcontrol2003-dev
  • cloudcontrol2004-dev
  • cloudcontrol1003
  • cloudcontrol1004
  • cloudcontrol1005
  • cloudservices2002-dev
  • cloudservices2003-dev
  • cloudservices1003
  • cloudservices1004
  • cloudnet2002-dev
  • cloudnet2003-dev
  • cloudnet1003
  • cloudnet1004
  • Bonus points (but not blocking OpenStack upgrades)
  • clouddb2001-dev ??? <- to be replaced with Galera
  • cloudweb2001-dev
  • labweb1001 (+ rename to cloudweb1001)
  • labweb1002 (+ rename to cloudweb1002)

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+1 -1
operations/puppetproduction+0 -2
operations/puppetproduction+1 -1
operations/puppetproduction+7 -6
operations/puppetproduction+1 -1
operations/puppetproduction+23 -0
operations/puppetproduction+6 -0
operations/puppetproduction+0 -4
operations/puppetproduction+23 -0
operations/puppetproduction+0 -1
operations/puppetproduction+0 -1
operations/puppetproduction+0 -15
operations/puppetproduction+0 -1
operations/puppetproduction+1 -2
operations/puppetproduction+6 -1
operations/puppetproduction+2 -2
operations/puppetproduction+1 -1
operations/puppetproduction+1 -1
operations/puppetproduction+3 -0
operations/puppetproduction+1 -1
operations/puppetproduction+7 -3
operations/puppetproduction+253 -1
Show related patches Customize query in gerrit

Event Timeline

Andrew created this task.Apr 28 2020, 4:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2020, 4:13 PM

Change 592997 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Openstack packaging: set the stage for Rocky on Buster

https://gerrit.wikimedia.org/r/592997

Change 592997 merged by Andrew Bogott:
[operations/puppet@production] Openstack packaging: set the stage for Rocky on Buster

https://gerrit.wikimedia.org/r/592997

Change 593621 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] pdns: update mysql-client package name for Buster

https://gerrit.wikimedia.org/r/593621

Change 593622 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Initial role assignment for cloudcontrol2004-dev

https://gerrit.wikimedia.org/r/593622

Change 593621 merged by Andrew Bogott:
[operations/puppet@production] pdns: update mysql-client package name for Buster

https://gerrit.wikimedia.org/r/593621

Change 593622 merged by Andrew Bogott:
[operations/puppet@production] Initial role assignment for cloudcontrol2004-dev

https://gerrit.wikimedia.org/r/593622

Change 593769 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] apt: install gnupg1 before trying to set up keys for a repo

https://gerrit.wikimedia.org/r/593769

Change 593769 merged by Andrew Bogott:
[operations/puppet@production] apt: install gnupg before trying to set up keys for a repo

https://gerrit.wikimedia.org/r/593769

Change 593809 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] profile: temporarily disable alerts on cloud_dev_pdns* for maintenance

https://gerrit.wikimedia.org/r/593809

Change 593809 merged by Cwhite:
[operations/puppet@production] profile: temporarily disable alerts on cloud_dev_pdns* for maintenance

https://gerrit.wikimedia.org/r/593809

Change 593817 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] profile: escape exclaimation point

https://gerrit.wikimedia.org/r/593817

Change 593817 merged by Cwhite:
[operations/puppet@production] profile: escape exclaimation point

https://gerrit.wikimedia.org/r/593817

Change 593821 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Openstack Apt repos: allow gnupg to be installed before custom repos are set up

https://gerrit.wikimedia.org/r/593821

Change 593821 merged by Andrew Bogott:
[operations/puppet@production] Openstack Apt repos: allow gnupg to be installed before custom repos are set up

https://gerrit.wikimedia.org/r/593821

Change 593815 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] Revert "profile: temporarily disable alerts on cloud_dev_pdns* for maintenance"

https://gerrit.wikimedia.org/r/593815

Change 593877 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Openstack buster packages: pin python3-ceph and related

https://gerrit.wikimedia.org/r/593877

Change 593877 merged by Andrew Bogott:
[operations/puppet@production] Openstack buster packages: pin python3-ceph and related

https://gerrit.wikimedia.org/r/593877

Change 594269 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Openstack/Buster: removed some python2 packages that we don't actually need.

https://gerrit.wikimedia.org/r/594269

Change 594270 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] OpenStack on Buster: remove requirement for python-mysql.connector

https://gerrit.wikimedia.org/r/594270

Change 594269 merged by Andrew Bogott:
[operations/puppet@production] Openstack/Buster: removed some python2 packages that we don't actually need.

https://gerrit.wikimedia.org/r/594269

Change 594270 merged by Andrew Bogott:
[operations/puppet@production] OpenStack on Buster: remove requirement for python-mysql.connector

https://gerrit.wikimedia.org/r/594270

Change 594277 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Openstack/Buster: remove explicit import of python-ldap from Buster

https://gerrit.wikimedia.org/r/594277

Change 594278 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Openstack/Buster: remove include of python-mwclient

https://gerrit.wikimedia.org/r/594278

Change 594277 merged by Andrew Bogott:
[operations/puppet@production] Openstack/Buster: remove explicit import of python-ldap from Buster

https://gerrit.wikimedia.org/r/594277

Change 594278 merged by Andrew Bogott:
[operations/puppet@production] Openstack/Buster: remove include of python-mwclient

https://gerrit.wikimedia.org/r/594278

Change 594281 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Python/Buster: removed install of python-mysql.connector

https://gerrit.wikimedia.org/r/594281

Change 594281 merged by Andrew Bogott:
[operations/puppet@production] Python/Buster: removed install of python-mysql.connector

https://gerrit.wikimedia.org/r/594281

Change 594287 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Glance/Rocky/Buster: explicitly great 'glance' user and group

https://gerrit.wikimedia.org/r/594287

Change 594287 merged by Andrew Bogott:
[operations/puppet@production] Glance/Rocky/Buster: explicitly create 'glance' user and group

https://gerrit.wikimedia.org/r/594287

Change 594290 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Glance/Buster/Rocky: remove explicit uid/gid for glance service user

https://gerrit.wikimedia.org/r/594290

Change 594290 merged by Andrew Bogott:
[operations/puppet@production] Glance/Buster/Rocky: remove explicit uid/gid for glance service user

https://gerrit.wikimedia.org/r/594290

Change 594335 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Keystone: create /etc/keystone/fernet-keys directory

https://gerrit.wikimedia.org/r/594335

Change 594335 merged by Andrew Bogott:
[operations/puppet@production] Keystone: create /etc/keystone/fernet-keys directory

https://gerrit.wikimedia.org/r/594335

Change 594338 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Openstack haproxy ferm rules: support AAAA and fix syntax

https://gerrit.wikimedia.org/r/594338

Change 594483 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] openstack/buster/nova: Create 'nova' system user in puppet

https://gerrit.wikimedia.org/r/594483

Change 594483 merged by Andrew Bogott:
[operations/puppet@production] openstack/buster/nova: Create 'nova' system user in puppet

https://gerrit.wikimedia.org/r/594483

Change 594500 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] nova::common: fix ordering a bit for a clean install

https://gerrit.wikimedia.org/r/594500

Change 594338 merged by Andrew Bogott:
[operations/puppet@production] Openstack haproxy ferm rules: support AAAA and fix syntax

https://gerrit.wikimedia.org/r/594338

Change 594500 merged by Andrew Bogott:
[operations/puppet@production] nova::common: fix ordering a bit for a clean install

https://gerrit.wikimedia.org/r/594500

JHedden triaged this task as Medium priority.May 5 2020, 4:10 PM

Change 594543 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] rabbitmq::plugins: change order of args to rabbitmq-plugins check

https://gerrit.wikimedia.org/r/594543

Change 594543 merged by Andrew Bogott:
[operations/puppet@production] rabbitmq::plugins: change order of args to rabbitmq-plugins check

https://gerrit.wikimedia.org/r/594543

Andrew updated the task description. (Show Details)May 18 2020, 8:20 PM

Change 597159 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] prepare cloudnet2002-dev and 2003-dev for rebuild with Buster

https://gerrit.wikimedia.org/r/597159

Change 597159 merged by Andrew Bogott:
[operations/puppet@production] prepare cloudnet2002-dev and 2003-dev for rebuild with Buster

https://gerrit.wikimedia.org/r/597159

Andrew updated the task description. (Show Details)May 19 2020, 2:32 AM
Andrew updated the task description. (Show Details)May 21 2020, 8:12 PM
Andrew updated the task description. (Show Details)Jun 9 2020, 5:50 PM

Change 593815 merged by Cwhite:
[operations/puppet@production] Revert "profile: temporarily disable alerts on cloud_dev_pdns* for maintenance"

https://gerrit.wikimedia.org/r/593815

Andrew closed this task as Resolved.Tue, Jul 7, 4:55 PM

I'm closing this for now. Updating the cloudweb/labweb boxes will be a lot easier after wikitech is moved elsewhere.